commit:     21d945f9f9212093cd97440282fb47ba9f625137
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 11 23:56:45 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun 11 23:56:45 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=21d945f9

net-analyzer/tcpreplay: add 4.4.4

Bug: https://bugs.gentoo.org/905323
Signed-off-by: Sam James <sam <AT> gentoo.org>

 net-analyzer/tcpreplay/Manifest               |  1 +
 net-analyzer/tcpreplay/tcpreplay-4.4.4.ebuild | 86 +++++++++++++++++++++++++++
 2 files changed, 87 insertions(+)

diff --git a/net-analyzer/tcpreplay/Manifest b/net-analyzer/tcpreplay/Manifest
index 1aaec4716666..821f42c144ad 100644
--- a/net-analyzer/tcpreplay/Manifest
+++ b/net-analyzer/tcpreplay/Manifest
@@ -1 +1,2 @@
 DIST tcpreplay-4.4.3.tar.xz 750072 BLAKE2B 
218fe1c5faab0fdd75a031afce8f468c85886a4cf21a4d9bd34089bd106756ee0e65e0df605efecb3260ccff266553a44d8ee10249b35524a044c6c5db86fcc7
 SHA512 
d8186a5faf3fbe5505da34cfc466c0375c4f298c997fe85505ea898c8c1241c16f98269596b682983a3e5cbd8493882334c925ff750d95995f3b13c5b83357cf
+DIST tcpreplay-4.4.4.tar.xz 748344 BLAKE2B 
05f586c9d68e1ee47fc5dfdbf14d866ccbd921a5734a52de4ba6c1f33f37628e510eddbf9059130c9858207690ec2c14dfbf3819f923436aa64fcc3fc2ce074d
 SHA512 
a6907c98779c96b2acf53e2f13e832f2c9a7ee840acc40d23c7290c2ceefb5885d314453dec9463069218011bee86bb7df057966120aacd6cddda942821aea9b

diff --git a/net-analyzer/tcpreplay/tcpreplay-4.4.4.ebuild 
b/net-analyzer/tcpreplay/tcpreplay-4.4.4.ebuild
new file mode 100644
index 000000000000..f953a68c1c37
--- /dev/null
+++ b/net-analyzer/tcpreplay/tcpreplay-4.4.4.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools flag-o-matic
+
+DESCRIPTION="Utilities for editing and replaying previously captured network 
traffic"
+HOMEPAGE="http://tcpreplay.appneta.com/ https://github.com/appneta/tcpreplay";
+if [[ ${PV} == *9999* ]] ; then
+       EGIT_REPO_URI="https://github.com/appneta/tcpreplay";
+       inherit git-r3
+else
+       
SRC_URI="https://github.com/appneta/${PN}/releases/download/v${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm ~sparc ~x86"
+fi
+
+S="${WORKDIR}"/${P/_/-}
+
+LICENSE="BSD GPL-3"
+SLOT="0"
+IUSE="debug pcapnav +tcpdump"
+
+# libpcapnav for pcapnav-config
+BDEPEND="
+       net-libs/libpcapnav
+       >=sys-devel/autogen-5.18.4[libopts]
+"
+DEPEND="
+       dev-libs/libdnet
+       >=net-libs/libpcap-0.9
+       elibc_musl? ( sys-libs/fts-standalone )
+       pcapnav? ( net-libs/libpcapnav )
+       tcpdump? ( net-analyzer/tcpdump )
+"
+RDEPEND="${DEPEND}"
+
+DOCS=( docs/{CHANGELOG,CREDIT,HACKING,TODO} )
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-4.3.0-enable-pcap_findalldevs.patch
+)
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e 's|#include <dnet.h>|#include <dnet/eth.h>|g' \
+               src/common/sendpacket.c || die
+       sed -i \
+               -e 's|@\([A-Z_]*\)@|$(\1)|g' \
+               -e '/tcpliveplay_CFLAGS/s|$| $(LDNETINC)|g' \
+               -e '/tcpliveplay_LDADD/s|$| $(LDNETLIB)|g' \
+               src/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       use elibc_musl && append-flags "-lfts"
+       # By default it uses static linking. Avoid that, bug #252940
+       econf \
+               $(use_enable debug) \
+               $(use_with pcapnav pcapnav-config 
"${BROOT}"/usr/bin/pcapnav-config) \
+               $(use_with tcpdump tcpdump "${ESYSROOT}"/usr/sbin/tcpdump) \
+               --enable-dynamic-link \
+               --enable-local-libopts \
+               --enable-shared \
+               --with-libdnet \
+               --with-testnic2=lo \
+               --with-testnic=lo
+}
+
+src_test() {
+       if [[ ! ${EUID} -eq 0 ]] ; then
+               ewarn "Some tests were disabled due to FEATURES=userpriv"
+               ewarn "To run all tests issue the following command as root:"
+               ewarn " # make -C ${S}/test"
+               emake -j1 -C test tcpprep
+       else
+               emake -j1 test || {
+                       ewarn "Note that some tests require eth0 iface to be 
up."
+                       die "self test failed - see ${S}/test/test.log"
+               }
+       fi
+}

Reply via email to